View Issue Details

IDProjectCategoryView StatusLast Update
15587Bug reports[All Projects] Import/Exportpublic2019-12-02 12:16
ReporterMazi Assigned Toadamzammit  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.20.x 
Target VersionFixed in Version 
Summary15587: queXML PDF doesn't show minutes for date questions
Description

When exporting results of a data set to queXML information about hours/minutes is not shown for date questions, see screenshot.

Steps To Reproduce
  1. Create a small survey with a date question.
  2. At the date question set format to "HH/MM" and enable dropdowns (see screenhsot for how it looks like).
  3. Enable the print answers feature.
  4. Activate and run the survey, enter something like 1:55 (1h 55m).
  5. Check the print answers screen and test the queXML export
    -> It only shows date 1970-01-01 but no details about the time part.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.20.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionlimeservice
Server OS (if known)limeservice
Webserver software & version (if known)limeservice
PHP Versionlimeservice

Activities

Mazi

Mazi

2019-11-18 14:55

partner  

date_survey_runtime.png (20,694 bytes)
date_survey_runtime.png (20,694 bytes)
quexml_date.png (71,291 bytes)
quexml_date.png (71,291 bytes)
Mazi

Mazi

2019-11-18 14:57

partner   ~54658

@cdorin, this is a rather urgent issue reported to me by a Limeservice customer. I am filing the bug report for them.

cdorin

cdorin

2019-11-20 16:37

manager   ~54725

Maybe @adamzammit can take a quick look at it.

adamzammit

adamzammit

2019-11-20 22:50

developer   ~54741

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29267

lime_release_bot

lime_release_bot

2019-12-02 12:16

administrator   ~54900

Fixed in Release 3.21.0+191203

Related Changesets

LimeSurvey: master 7e3cd94c

2019-11-20 22:46:37

adamzammit

Details Diff
Fixed issue 15587: queXML PDF doesn't show minutes for date questions
Dev: Make the date field 19 wide in queXML by default to allow complete data to
display
Affected Issues
15587
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-11-18 14:55 Mazi New Issue
2019-11-18 14:55 Mazi File Added: date_survey_runtime.png
2019-11-18 14:55 Mazi File Added: quexml_date.png
2019-11-18 14:57 Mazi Description Updated View Revisions
2019-11-18 14:57 Mazi Steps to Reproduce Updated View Revisions
2019-11-18 14:57 Mazi Note Added: 54658
2019-11-20 16:37 cdorin Assigned To => adamzammit
2019-11-20 16:37 cdorin Status new => assigned
2019-11-20 16:37 cdorin Note Added: 54725
2019-11-20 22:50 adamzammit Changeset attached => LimeSurvey master 7e3cd94c
2019-11-20 22:50 adamzammit Note Added: 54741
2019-11-20 22:50 adamzammit Resolution open => fixed
2019-12-02 12:16 lime_release_bot Note Added: 54900
2019-12-02 12:16 lime_release_bot Status assigned => closed